Package es.imim.DISGENET.network

# Class NetAction

java.lang.Object
es.imim.DISGENET.network.NetAction

All Implemented Interfaces:
  `ActionListener`, `EventListener`

public class NetAction extends Object implements ActionListener
Class to handle the clicking of the create network Button

## Constructor Summary

Constructors
Constructor
Description
`NetAction()`
`NetAction(GuiParameters curParams)`
`NetAction(GuiParameters curParams, JTabbedPane pane)`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent event)`
This method is called when the user clicks create network.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NetAction

public NetAction()

### NetAction

public NetAction(GuiParameters curParams)

### NetAction

public NetAction(GuiParameters curParams, JTabbedPane pane)

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent event)
This method is called when the user clicks create network.

Specified by:
  `actionPerformed` in interface `ActionListener`